	SUBROUTINE REDEF(ITRANS)
	LOGICAL*1 NODEF(4),RED(10)
	DATA NODEF/'N','o',' ',0/
	DATA RED/'R','e','d','e','f','i','n','e',"15,"12/
C
	IF((ITRANS.AND."1000).EQ.0) GOTO 20
C	  DISABLE REDEFINITION
	ITRANS=(ITRANS.AND."176777)
	DO 10 I=1,14
	J=NODEF(I)
 10	CALL ENQUE(J)
	RETURN
C	  ENABLE REDEFINITION
 20	ITRANS=ITRANS+"1000
	DO 30 I=1,10
	J=RED(I)
 30	CALL ENQUE(J)
	RETURN
	END
